## link-grammar 5.7.0

=== debian/changelog ===
link-grammar (5.7.0-3) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with swig 4.0.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Feb 2020 11:46:39 +0100

link-grammar (5.7.0-2) unstable; urgency=medium

  * QA upload.

  [ Matthias Klose ]
  * Allow stderr in python-tests autopkg test.

  [ Gianfranco Costamagna ]
  * debian/patches/incompatible-cxx-warnings.patch: drop the Werror option
    implicit-function-declaration from those passed to C++ compilers; since it
    is only valid for C.
  * debian/patches/fix-spell-guessing.patch: Give ourselves a few more guesses
    to find the right spelling for words. This should help tests. Dictionaries
    grow.
  * don't fail on new python autopkgtest, and put back the old autopkgtest

 -- Matthias Klose <doko@debian.org>  Thu, 13 Feb 2020 08:58:32 +0100

link-grammar (5.7.0-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
   - debian/patches/incompatible-cxx-warnings.patch: drop the Werror option
     implicit-function-declaration from those passed to C++ compilers; since it
     is only valid for C.
   - debian/patches/fix-spell-guessing.patch: Give ourselves a few more guesses
     to find the right spelling for words. This should help tests. Dictionaries
     grow.
   - don't fail on new python autopkgtest, and put back the old autopkgtest

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Feb 2020 16:18:53 +0100

link-grammar (5.7.0-1) unstable; urgency=medium

  [ Masayuki Hatta ]
  * QA upload.
  * Update standards version to 4.5.0, no changes needed.
  * Add 01-disable-multi-dict-test.patch to disable the multi-dict test.
    I'm still not sure why it works outside then fails inside pbuilder.

  [ Fabian Wolff ]
  * New upstream release.
  * Update watch file to use GitHub.
  * Upgrade to debhelper compat level 12.
  * Drop python-link-grammar package (Closes: #936951).
  * Add flex to build dependencies.
  * "make check" should run during the build; this is not what
    autopkgtest is intended for.
  * Add 00-disable-python-test.patch to disable the Python tests during
    the build (see the header for justification), and add python-tests
    autopkgtest to run the Python tests on the installed package
    instead.
  * Remove debian/liblink-grammar5.symbols (Closes: #939454)
    (admittedly not the best solution probably, but whoever has a
    better idea is welcome to fix this in the future).

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 03 Feb 2020 23:51:14 +0900

link-grammar (5.7.0-0ubuntu1) focal; urgency=medium

  * New upstream version
  * debian/liblink-grammar5.symbols:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Dec 2019 16:58:49 +0100

link-grammar (5.6.2-1ubuntu1) eoan; urgency=medium

  * debian/patches/incompatible-cxx-warnings.patch: drop the Werror option
    implicit-function-declaration from those passed to C++ compilers; since it
    is only valid for C.
  * debian/patches/fix-spell-guessing.patch: Give ourselves a few more guesses
    to find the right spelling for words. This should help tests. Dictionaries
    grow.
  * debian/rules: soften the dpkg-gensymbols options to -c1; such that we don't
    fail to build because of C++ symbols.
  * debian/liblink-grammar5.symbols: drop mangled C++ symbols which will differ
    per architecture, etc.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 22 Aug 2019 12:14:23 -0400
