=== debian/control ===
Source: link-grammar
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ant [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
 autoconf-archive,
 default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
 d-shlibs,
 dh-python,
 libedit-dev,
 libhunspell-dev,
 libsqlite3-dev,
 minisat,
 pkg-config,
 python3-dev,
 python3-distutils,
 swig,
 zlib1g-dev,
 flex,
Standards-Version: 4.5.0
Homepage: https://www.abisource.com/projects/link-grammar/
Vcs-Browser: https://salsa.debian.org/debian/link-grammar
Vcs-Git: https://salsa.debian.org/debian/link-grammar.git

Package: link-grammar
Architecture: any
Depends:
 link-grammar-dictionaries-en,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Carnegie Mellon University's link grammar parser
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains the user-executable binary.

Package: liblink-grammar5
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 link-grammar-dictionaries-en,
 minisat,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 link-grammar-dictionaries-all,
Description: Carnegie Mellon University's link grammar parser (libraries)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains the shared library.

Package: liblink-grammar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblink-grammar5 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends},
Breaks:
 liblink-grammar4-dev (<< 5.3.7),
Replaces:
 liblink-grammar4-dev (<< 5.3.7),
Description: Carnegie Mellon University's link grammar parser (development headers)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains the header files and static libraries

Package: liblink-grammar-java
Section: java
Architecture: alpha amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32
Depends:
 liblink-grammar5,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 liblink-grammar4-java (<< 5.3.7),
Replaces:
 liblink-grammar4-java (<< 5.3.7),
Description: Carnegie Mellon University's link grammar parser (JNI library)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains a Java JNI library for using link-grammar from your java
 applications.

Package: python3-link-grammar
Architecture: any
Section: python
Depends:
 liblink-grammar5,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 link-grammar-dictionaries-all,
 python-link-grammar-examples,
Description: Carnegie Mellon University's link grammar parser (Python 3)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains a Python 3 library for using link-grammar.

Package: python-link-grammar-examples
Architecture: all
Multi-Arch: foreign
Section: python
Depends:
 ${misc:Depends},
Enhances:
 python-link-grammar,
 python3-link-grammar,
Description: CMU's link grammar parser (Python examples)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains examples for using python-link-grammar or
 python3-link-grammar.

Package: link-grammar-dictionaries-en
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Carnegie Mellon University's link grammar parser (English dictionary)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains the English dictionaries.

Package: link-grammar-dictionaries-all
Architecture: all
Multi-Arch: foreign
Depends:
 link-grammar-dictionaries-en,
 ${misc:Depends},
Breaks:
 link-grammar-dictionaries-lt (<< 5.3.7),
Replaces:
 link-grammar-dictionaries-lt (<< 5.3.7),
Description: Carnegie Mellon University's link grammar parser (all dictionaries)
 In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
 (1991), the authors defined a new formal grammatical system called a
 "link grammar". A sequence of words is in the language of a link
 grammar if there is a way to draw "links" between words in such a way
 that the local requirements of each word are satisfied, the links do
 not cross, and the words form a connected graph. The authors encoded
 English grammar into such a system, and wrote this program to parse
 English using this grammar.
 .
 link-grammar can be used for linguistic parsing for information
 retrieval or extraction from natural language documents. It can also be
 used as a grammar checker.
 .
 This package contains all dictionaries bundled with link-grammar.
