## link-grammar 5.8.0

=== debian/changelog ===
link-grammar (5.8.0-2) unstable; urgency=medium

  * QA upload.

  * rename patches;
    add debian/patches/README micro-policy;
    consistently add DEP-3 patch headers
  * support DEB_BUILD_OPTIONS=noopt:
    + add patches cherry-picked upstream
      to allow overriding upstream compiler option -O3
    + re-enable -O3 by default in rules file
  * run tests verbosely in autopkgtest
  * stop include unit tests with package python-link-grammar-examples,
    and stop check those tests with autopkgtest:
    superfluous and requires data from source package
  * fix build-depend on locales-all,
    and stop disable tests during build (seemingly works now)
  * build-depend on hunspell libpcre2-dev
  * tighten build-dependency on d-shlibs, and drop local overrides
  * use debhelper compatibility level 13 (not 12)
  * build-depend on dh-sequence-python3 python3-all-dev
    (not dh-python python3-dev python3-distutils
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Dec 2020 16:46:08 +0100

link-grammar (5.8.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release - closes: #962453

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 23 Aug 2020 09:32:43 +0900
