=== debian/control ===
--- 
+++ 
@@ -3,23 +3,25 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ant [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
  autoconf-archive,
  default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
- d-shlibs,
- dh-python,
+ d-shlibs (>= 0.98~),
+ dh-sequence-python3,
+ hunspell,
  libedit-dev,
  libhunspell-dev,
+ libpcre2-dev,
  libsqlite3-dev,
+ locales-all <!nocheck>,
  minisat,
  pkg-config,
- python3-dev,
- python3-distutils,
+ python3-all-dev,
  swig,
  zlib1g-dev,
  flex,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git
