## link-grammar 5.8.1

=== debian/changelog ===
link-grammar (5.8.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * adopt package
  * update watch file:
    + simplify filenamemangle regex
    + use substitution strings
    + track tags (not releases)
    + add usage comment
  * update git-buildpackage config:
    + use DEP-14 branch names */latest
    + sign tags
    + filter out all .git* files
    + stop disable patch numbering
    + add usage comment
  * set Rules-Requires-Root: no
  * drop patches cherry-picked upstream now applied

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jan 2021 03:14:27 +0100

link-grammar (5.8.0-7) unstable; urgency=medium

  * QA upload.

  * add patches cherry-picked upstream
    to fix multi-dict test failure
    (see bug#975696)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Jan 2021 01:29:28 +0100

link-grammar (5.8.0-6) unstable; urgency=medium

  * QA upload.

  * drop unsuccessful patch 1001
  * add patches cherry-picked upstream
    to fix multi-thread test failure;
    closes: bug#975696

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Jan 2021 00:30:14 +0100

link-grammar (5.8.0-5) unstable; urgency=medium

  * QA upload.

  * add patch 1001 as a possible multithreading fix

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Dec 2020 14:21:33 +0100

link-grammar (5.8.0-4) unstable; urgency=medium

  * QA upload.

  * inspect test-suite log in case of failure,
    unless DEB_BUILD_OPTIONS=terse

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2020 21:47:56 +0100

link-grammar (5.8.0-3) unstable; urgency=medium

  * QA upload.

  * improve autopkgtest:
    + check core tests and python bindings unit tests separately
    + tighten python bindings unit tests
      to check data and all (not only most) code
      from installed packaged (not from unpacked source)
    + flag core test as flaky
      (mysteriously fails particularly on armhf,
      despite succeeding during build);
      closes: bug#975696, thanks to Graham Inggs

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2020 18:46:03 +0100
