=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: link-grammar
 Section: text
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- debhelper-compat (= 13),
  ant [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
  autoconf-archive,
+ d-shlibs (>= 0.98~),
+ debhelper-compat (= 13),
  default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
- d-shlibs (>= 0.98~),
  dh-sequence-python3,
+ flex,
  hunspell,
  libedit-dev,
  libhunspell-dev,
@@ -20,11 +21,11 @@
  python3-all-dev,
  swig,
  zlib1g-dev,
- flex,
 Standards-Version: 4.5.1
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git
+Rules-Requires-Root: no
 
 Package: link-grammar
 Architecture: any
