=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,9 @@
 	-rm -rf bin/org
 	-rm -f linkgrammar-*.jar
 
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--disable-static \
@@ -34,8 +37,10 @@
 		--with-hunspell-dictdir=/usr/share/hunspell \
 		$(CONFIGURE_ARGS)
 
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+override_dh_auto_test:
+	dh_auto_test -- || { cat test/test-suite.log; false; }
+endif
 
 override_dh_install:
 ifeq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
