## link-grammar 5.10.2~dfsg

=== debian/changelog ===
link-grammar (5.10.2~dfsg-1build1) jammy; urgency=medium

  * No-change rebuild with fixed py3versions

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Nov 2021 08:29:50 +0000

link-grammar (5.10.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + fix size in brand-new `link-generator` (hits 32-bit & ARM);
      closes: bug#993847, thanks to Adrian Bunk

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied
  * drop obsolete unapplied patches
  * enable sh4 as java-supported architecture

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Sep 2021 20:31:12 +0200

link-grammar (5.10.1~dfsg-3) unstable; urgency=medium

  * drop non-working workaround for bug#993847
  * add patches cherry-picked upstream
    to fix testsuite failing on 32bit archs;
    closes: bug#993847, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Sep 2021 14:54:25 +0200

link-grammar (5.10.1~dfsg-2) unstable; urgency=medium

  * conditionally avoid tests
    confirmed upstream to be broken on 32bit archs;
    closes: bug#993847, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Sep 2021 00:32:29 +0200

link-grammar (5.10.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop build-depend on minisat, unused since 5.9.1
  * update copyright info:
    + add alternate GitHub source URI
    + use License-Grant and Reference;
      add lintian overrides about License-Reference field
    + consistently list License sections last, and sort alphabetically
    + normalize listing of copyright holders, and sort alphabetically
    + normalize listing of files
    + fix list file licensed ISC and LGPL-2.1
    + update coverage
  * add source script copyright-check
  * update copyright hints

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 12:19:59 +0200

link-grammar (5.10.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  * update copyright info:
    + repackage source, omitting source-less PDF file
  * update watch file: use repack suffix ~dfsg
  * drop obsolete python2 install hint file
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Sep 2021 19:46:42 +0200

link-grammar (5.9.1-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Jun 2021 11:26:44 +0200
