=== debian/control ===
--- 
+++ 
@@ -16,12 +16,11 @@
  libpcre2-dev,
  libsqlite3-dev,
  locales-all <!nocheck>,
- minisat,
  pkg-config,
  python3-all-dev,
  swig,
  zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git
