=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND=-O3
 endif
 
-no_java_archs = hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k sh4
+no_java_archs = hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k
 ifneq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
 CONFIGURE_ARGS += --disable-java-bindings
 endif
