## link-grammar 5.10.4~dfsg

=== debian/changelog ===
link-grammar (5.10.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Mar 2022 03:03:08 +0100

link-grammar (5.10.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten lintian overrides
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Feb 2022 22:18:01 +0100

link-grammar (5.10.2~dfsg-3) unstable; urgency=medium

  * add patch 2001
    to work around broken version check in ax_python_devel.m4;
    closes: bug#1004416, thanks to Graham Inggs

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jan 2022 10:53:23 +0100

link-grammar (5.10.2~dfsg-2) unstable; urgency=medium

  * revert to disable sh4 as java-supported architecture
  * build-depend on python3-dev (not python3-all-dev);
    closes: bug#998442, thanks to Graham Inggs
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Nov 2021 23:32:19 +0100
