## link-grammar 5.10.5~dfsg

=== debian/changelog ===
link-grammar (5.10.5~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + fix typo
    + update coverage
  * declare compliance with Debian Policy 4.6.1
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Jun 2022 23:47:26 +0200
