=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
  libsqlite3-dev,
  locales-all <!nocheck>,
  pkg-config,
- python3-all-dev,
+ python3-dev,
  swig,
  zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git
