=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,10 @@
 export DEB_CXXFLAGS_MAINT_APPEND=-O3
 endif
 
-no_java_archs = hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k
+no_java_archs = hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k sh4
 ifneq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
 CONFIGURE_ARGS += --disable-java-bindings
 endif
-
-%:
-	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -65,3 +62,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
+
+%:
+	dh $@
