## link-grammar 5.11.0~dfsg

=== debian/changelog ===
link-grammar (5.11.0~dfsg-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 20:22:16 +0000

link-grammar (5.11.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop all patch, now applied
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Oct 2022 17:23:51 +0200

link-grammar (5.10.5~dfsg-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to find zlib using pkg-config
  * add patches cherry-picked upstream
    to bypass a version check bug in AX_PYTHON_DEVEL,
    superseding patch 2001;
    closes: bug#1019432, #1020176,
    thanks to Graham Inggs and Lucas Nussbaum
  * add debian/patches/README
    documenting patch versioning micro-policy
  * drop ancient breaks/replaces
  * update source helper script copyright-check
  * override more license-related lintian warnings

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Sep 2022 12:20:09 +0200
