=== debian/control ===
--- 
+++ 
@@ -83,10 +83,6 @@
  liblink-grammar5 (= ${binary:Version}),
  ${devlibs:Depends},
  ${misc:Depends},
-Breaks:
- liblink-grammar4-dev (<< 5.3.7),
-Replaces:
- liblink-grammar4-dev (<< 5.3.7),
 Description: Carnegie Mellon University's link grammar parser (development headers)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a
@@ -110,10 +106,6 @@
  liblink-grammar5,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- liblink-grammar4-java (<< 5.3.7),
-Replaces:
- liblink-grammar4-java (<< 5.3.7),
 Description: Carnegie Mellon University's link grammar parser (JNI library)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a
@@ -211,10 +203,6 @@
 Depends:
  link-grammar-dictionaries-en,
  ${misc:Depends},
-Breaks:
- link-grammar-dictionaries-lt (<< 5.3.7),
-Replaces:
- link-grammar-dictionaries-lt (<< 5.3.7),
 Description: Carnegie Mellon University's link grammar parser (all dictionaries)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a
