## link-grammar 5.12.0~dfsg

=== debian/changelog ===
link-grammar (5.12.0~dfsg-2) unstable; urgency=medium

  * fix source helper tool copyright-check
    to avoid insecure shell expansion
  * simplify build rules: testsuite is now more verbose;
    thanks to Matthias Klose (see bug#1029233)
  * add patch cherry-picked upstream
    to allocate a per-thread copy of pcre2_match_data

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jan 2023 06:40:52 +0100

link-grammar (5.12.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix source helper tool copyright-check
    to work with Path::Tiny 0.144
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Jan 2023 11:16:04 +0100
