=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-dev,
  swig,
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git
