=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,9 @@
 CONFIGURE_ARGS += --disable-java-bindings
 endif
 
+%:
+	dh $@
+
 override_dh_auto_clean:
 	dh_auto_clean
 	-rm -rf bin/org
@@ -33,11 +36,6 @@
 		--enable-pthreads \
 		--with-hunspell-dictdir=/usr/share/hunspell \
 		$(CONFIGURE_ARGS)
-
-ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-	dh_auto_test -- || { cat test/test-suite.log; false; }
-endif
 
 override_dh_install:
 ifeq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
@@ -62,6 +60,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
-
-%:
-	dh $@
