=== debian/tests/control ===
Test-Command:
 set -e;
 make -C tests;
 tests/dict-reopen;
 tests/multi-dict;
 tests/multi-thread;
 tests/mem-leak
Depends:
 build-essential,
 default-jdk [!hppa !hurd-i386 !m68k !sh4],
 hunspell-en-us,
 locales-all,
 python3-distutils,
 @,
 @builddeps@,
Restrictions: build-needed, allow-stderr, flaky

Test-Command:
 cd bindings/python-examples && srcdir="$(pwd)" python3 tests.py -v
Depends:
 hunspell-en-us,
 link-grammar-dictionaries-all,
 locales-all,
 python3,
 python3-link-grammar,
Restrictions: allow-stderr
