## link-grammar 5.12.3~dfsg

=== debian/changelog ===
link-grammar (5.12.3~dfsg-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:57:11 +0000

link-grammar (5.12.3~dfsg-1build2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:11:06 +0100

link-grammar (5.12.3~dfsg-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:12:09 +0000

link-grammar (5.12.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Jun 2023 18:28:28 +0200
