=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: link-grammar
 Section: text
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  ant [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
  autoconf-archive,
