## link-grammar 5.12.4~dfsg

=== debian/changelog ===
link-grammar (5.12.4~dfsg-2) unstable; urgency=high

  * Team upload
  * Source-only upload

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 05 May 2024 13:29:51 -0400

link-grammar (5.12.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * generally update java-related architecture constraints,
    semi-auto-resolved using new source helper script pkgarchs.sh;
    thanks to Samuel Thibault for nudging
  * update copyright info: update coverage
  * stop autopkgtest-depend on python3-distutils;
    closes: bug#1065897, thanks to Graham Inggs
  * rename libraries for 64-bit time_t transition;
    tighten build-dependency on d-shlibs to support option --t64;
    closes: bug#1062748, thanks to Steve Langasek
  * tighten cleanup after build;
    closes: bug#1047439, thanks to Lucas Nussbaum
  * build-depend on pkgconf (not pkg-config)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Apr 2024 14:28:09 +0200
