=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: link-grammar
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- ant [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
+# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
+ ant [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  autoconf-archive,
- d-shlibs (>= 0.98~),
+ d-shlibs (>= 0.106~),
  debhelper-compat (= 13),
- default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
+# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
+ default-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  dh-sequence-python3,
  flex,
  hunspell,
@@ -17,7 +18,7 @@
  libpcre2-dev,
  libsqlite3-dev,
  locales-all <!nocheck>,
- pkg-config,
+ pkgconf,
  python3-dev,
  swig,
  zlib1g-dev,
@@ -49,7 +50,7 @@
  .
  This package contains the user-executable binary.
 
-Package: liblink-grammar5
+Package: liblink-grammar5t64
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -60,6 +61,12 @@
  ${shlibs:Depends},
 Suggests:
  link-grammar-dictionaries-all,
+Provides:
+ ${t64:Provides},
+Replaces:
+ liblink-grammar5,
+Conflicts:
+ liblink-grammar5 (<< ${source:Version}),
 Description: Carnegie Mellon University's link grammar parser (libraries)
  In Sleator, D. and Temperley, D. "Parsing English with a Link Grammar"
  (1991), the authors defined a new formal grammatical system called a
@@ -81,7 +88,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- liblink-grammar5 (= ${binary:Version}),
+ liblink-grammar5t64 (= ${binary:Version}),
  ${devlibs:Depends},
  ${misc:Depends},
 Description: Carnegie Mellon University's link grammar parser (development headers)
@@ -102,9 +109,10 @@
 
 Package: liblink-grammar-java
 Section: java
-Architecture: alpha amd64 arm64 armel armhf i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32
-Depends:
- liblink-grammar5,
+# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
+Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x
+Depends:
+ liblink-grammar5t64,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Carnegie Mellon University's link grammar parser (JNI library)
@@ -128,7 +136,7 @@
 Architecture: any
 Section: python
 Depends:
- liblink-grammar5,
+ liblink-grammar5t64,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
