## link-grammar 5.12.5~dfsg

=== debian/changelog ===
link-grammar (5.12.5~dfsg-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:02:27 +0100

link-grammar (5.12.5~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Jun 2024 08:46:46 +0200
