=== debian/rules ===
--- 
+++ 
@@ -14,18 +14,29 @@
 export DEB_CXXFLAGS_MAINT_APPEND=-O3
 endif
 
-no_java_archs = hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k sh4
-ifneq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
+# resolve supported architectures for arch-varying build-dependencies
+# (in maintainer mode only: uses network and messes with control file)
+ifneq (,$(DEB_MAINTAINER_MODE))
+$(shell sh debian/pkgarchs.sh default-jdk > debian/ARCHS_java)
+endif
+$(eval ARCHS_java := $(shell cat debian/ARCHS_java))
+ifneq (,$(DEB_MAINTAINER_MODE))
+clean: debian/control debian/tests/control
+
+debian/control debian/tests/control::
+	perl -g -i -p \
+		-e 's/^# autogenerated:[^\n]+\n(?: (?:ant|default-jdk) \[|Architecture: )\K[^\]\n]*/$(ARCHS_java)/gm;' \
+		$@
+endif
+ifeq (,$(filter $(DEB_HOST_ARCH), $(ARCHS_java)))
 CONFIGURE_ARGS += --disable-java-bindings
 endif
 
 %:
 	dh $@
 
-override_dh_auto_clean:
-	dh_auto_clean
-	-rm -rf bin/org
-	-rm -f linkgrammar-*.jar
+execute_before_dh_auto_clean:
+	[ ! -f Makefile ] || $(MAKE) maintainer-clean
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -38,7 +49,7 @@
 		$(CONFIGURE_ARGS)
 
 override_dh_install:
-ifeq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
+ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHS_java)))
 	mkdir -p debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
 	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liblink-grammar-java.so* \
 		debian/liblink-grammar-java/usr/lib/$(DEB_HOST_MULTIARCH)/jni
@@ -46,6 +57,7 @@
 	find debian/ -name "*.la" -delete
 	dh_install -Xtests.py
 	d-shlibmove --commit \
+		--t64 \
 		--devunversioned \
 		--exclude-la \
 		--exclude-a \
