## link-grammar 5.12.6+dfsg

=== debian/changelog ===
link-grammar (5.12.6+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten resolving arch-specific dependencies
  * update watch file: use file format 5
  * declare compliance with Debian Policy 4.7.2
  * set Multi-Arch: no (not same)
    for binary package liblink-grammar-dev

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Aug 2025 11:08:58 +0200
