## link-grammar 5.12.7+dfsg

=== debian/changelog ===
link-grammar (5.12.7+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Sep 2025 21:09:58 +0200
