## link-grammar 5.12.8+dfsg

=== debian/changelog ===
link-grammar (5.12.8+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Sep 2025 09:07:48 +0200
