=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-dev,
  swig,
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.abisource.com/projects/link-grammar/
 Vcs-Browser: https://salsa.debian.org/debian/link-grammar
 Vcs-Git: https://salsa.debian.org/debian/link-grammar.git
@@ -86,7 +86,7 @@
 Package: liblink-grammar-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
+Multi-Arch: no
 Depends:
  liblink-grammar5t64 (= ${binary:Version}),
  ${devlibs:Depends},
@@ -108,9 +108,9 @@
  This package contains the header files and static libraries
 
 Package: liblink-grammar-java
-Section: java
 # autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
 Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x
+Section: java
 Depends:
  liblink-grammar5t64,
  ${misc:Depends},
