=== debian/changelog ===
link-grammar (5.13.0+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Oct 2025 16:18:49 +0100
