=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-# TODO: try re-enable upstream optimizations
-# disabled to test if cause of flaky multi-thread test (see bug#975696)
 ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export DEB_CFLAGS_MAINT_STRIP=-O2
 export DEB_CXXFLAGS_MAINT_STRIP=-O2
@@ -24,9 +22,11 @@
 clean: debian/control debian/tests/control
 
 debian/control debian/tests/control::
-	perl -g -i -p \
-		-e 's/^# autogenerated:[^\n]+\n(?: (?:ant|default-jdk) \[|Architecture: )\K[^\]\n]*/$(ARCHS_java)/gm;' \
-		$@
+	perl -sgpi \
+	 -e 's/^# autogenerated:.+\n\s+\S*$$pat.*\[\K[^\]\n]*/$$list/gm;' \
+	 -e 's/^Package:.*$$pat.*\n# autogenerated:.+\nArchitecture:\s+\K[^\n]*/$$list/gm;' \
+	 -- -pat='(ant|jdk|java)' -list='$(ARCHS_java)' \
+	 -- $@
 endif
 ifeq (,$(filter $(DEB_HOST_ARCH), $(ARCHS_java)))
 CONFIGURE_ARGS += --disable-java-bindings
