=== debian/tests/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  tests/mem-leak
 Depends:
  build-essential,
- default-jdk [!hppa !hurd-i386 !m68k !sh4],
+# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
+ default-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  hunspell-en-us,
  locales-all,
- python3-distutils,
  @,
  @builddeps@,
 Restrictions: build-needed, allow-stderr, flaky
